

%% sum of sinusoids
r1 = 8;
phi1 = pi/4;
r2 = -2;
phi2 = -pi/2;

% method 1
alpha1 = r1*cos(phi1);
beta1 = r1*sin(phi1);

alpha2 = r2*cos(phi2);
beta2 = r2*sin(phi2);

alpha_sum = alpha1+alpha2;
beta_sum = beta1+beta2;

r_sum = sqrt(alpha_sum^2+beta_sum^2);
theta_sum = atan2(beta_sum,alpha_sum); % USE ATAN2 !!!!!!!!!

fprintf('method 1: sum is %1.2f e^{%1.2f pi j}\n',r_sum,theta_sum/pi);

% method 2

x1 = r1*exp(j*phi1);
x2 = r2*exp(j*phi2);
x_sum = x1+x2;


fprintf('method 2: sum is %1.2f e^{%1.2f pi j}\n',abs(x_sum),angle(x_sum)/pi);


t = 0:.01:1;
x1 = r1*cos(2*pi*4*t+phi1);
x2 = r2*cos(2*pi*4*t+phi2);
x = x1+x2;
x_est = abs(x_sum)*cos(2*pi*4*t+angle(x_sum));
figure(1);clf;
plot(t,[x1;x2],'linewidth',2);
xlabel('t');ylabel('x(t)');
hold on;
plot(t,x,'linewidth',2);
plot(t,x_est,'--','linewidth',2);
legend('x_1','x_2','x_1+x_2','estimated signal')

